> ## Documentation Index
> Fetch the complete documentation index at: https://vozpravideo.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Gerar Áudio

> Gera um áudio com base no texto e na voz fornecidos.



## OpenAPI

````yaml POST /generations/make
openapi: 3.0.0
info:
  title: Voz pra Vídeo API
  description: >-
    API para gerar narrações em áudio utilizando Inteligência Artificial (IA) a
    partir de textos fornecidos.
  version: 1.0.0
servers:
  - url: https://voz-pra-video-api.fly.dev/api
security:
  - TokenAuth: []
paths:
  /generations/make:
    post:
      description: Gera um áudio com base no texto e na voz fornecidos.
      requestBody:
        description: Dados necessários para gerar o áudio
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MakeGenerationRequest'
        required: true
      responses:
        '200':
          description: Solicitação de geração aceita
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MakeGenerationRequest'
        '400':
          description: Erro inesperado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    MakeGenerationRequest:
      required:
        - text
        - voiceId
        - externalId
        - callbackUrl
      type: object
      properties:
        text:
          type: string
        voiceId:
          type: string
        externalId:
          type: string
        callbackUrl:
          type: string
        format:
          type: string
          enum:
            - WAV
            - MP3
            - OGG
          default: WAV
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    TokenAuth:
      type: http
      scheme: bearer

````